Subject: Re: Cygwin Build Error
From: Jacob Jacobson <[email-masked]>
To: [email-masked], [email-masked]
Date: Mon, 13 Jul 2009 09:16:05 -0500
Newsgroups: gmane.os.cygwin
List-Id: <cygwin.cygwin.com>

Christopher Faylor wrote:
> On Fri, Jul 10, 2009 at 10:13:02AM -0500, Jacob Jacobson wrote:
>> Christopher Faylor wrote:
>>> On Thu, Jul 09, 2009 at 01:10:42PM -0500, Jacob Jacobson wrote:
>>>> Eric Blake wrote:
>>>>> -----BEGIN PGP SIGNED MESSAGE-----
>>>>> Hash: SHA1
>>>>>
>>>>> According to Jacob Jacobson on 7/8/2009 12:36 PM:
>>>>>> While building cygwin, I get this error:
>>>>>>
>>>>>> ../../../../src/winsup/cygwin/lib/_cygwin_crt0_common.cc:38: warning:
>>>>>> weak declaration of 'void operator delete [](void*, const
>>>>>> std::nothrow_t&)' not supported
>>>>> Known issue.  Use gcc-4, not gcc.
>>>>> http://cygwin.com/ml/cygwin-patches/2009-q3/msg00020.html
>>>>>
>>>>> - --
>>>> Thanks. I created symbolic links to gcc-4 & have gotten further. Now
>>>> I get error below. Do I need to install "i686-pc-mingw32" ?
>>> Just remove the mingw directory.
>>>
>>> cgf
>>>
>> I now have error below. If I remove utils/mingw, the error is "cannot
>>
>> make[4]: `libuser32.a' is up to date.
>> /c/home/wrk/cygwin/src/winsup/utils/mingw g++ 
>> /c/home/wrk/cygwin/src/winsup/utils/mingw: couldn't find i686-pc-mingw32 
> 
> I said remove the mingw *directory* not the utils/mingw *file*.
> 
> cgf
> 

Looks like the build process created a "mingw" directory also for
object files. I removed both now & also edited the makefile
(as in the other post) and am trying a build now.

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple